#include "deftype.h"

unint bcd2bin(unchar *bcd,int byte)
/* ２進化１０進数（ＢＣＤ） → １６進数変換ルーチン */
{
unint bin=0;
unchar c;
unint c1,c2,i;
	for(i=0;i<byte;i++) {
		bin*=100;
		c=bcd[i];
		c1=c>>4;
		c2=c&0x0f;
		if (c1>9 || c2>9) break; /* BCD codeでないコードがあったら終了 */
		bin+=(c1*10+c2);
	}
	return(bin);
}
